V1MeFamilySubjectidCapturesIdConfirm
/v1/me/family/{subjectId}/captures/{id}/confirm
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
subjectId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidid*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/me/family/497f6eca-6276-4993-bfeb-53cbbbba6f08/captures/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \ -H "Content-Type: application/json" \ -d '{ "effectiveAt": "2019-08-24T14:15:22Z", "reviewed": true, "consentHealthStorage": true, "category": "bp", "readings": [ { "code": "8480-6", "valueNum": 0, "unit": "string" } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "confirmed", "category": "bp", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "evidenceId": "84c8ea22-9959-4357-9a32-7546d09a0037", "confirmedAt": "2019-08-24T14:15:22Z", "source": "ocr", "observationIds": [ "4a5385f6-9746-430c-877c-a6fbfb67040d" ], "totalKcal": 0}